## org.gnu.gtk
Class WindowGroup

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.WindowGroup

public class WindowGroup
extends GObject

Class that provides the ability to group several Windows together.

Constructor Summary
`WindowGroup()` Construct a new WindowGroup

Method Summary
`void` `addWindow(Window window)` Add a Window to this WindowGroup
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `removeWindow(Window window)` Remove a Window from this WindowGroup

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowGroup

    public WindowGroup()

  Construct a new WindowGroup

Method Detail

### addWindow

    public void addWindow(Window window)

  Add a Window to this WindowGroup

  Parameters:
    `window` - The Window to be added to this WindowGroup

### removeWindow

    public void removeWindow(Window window)

  Remove a Window from this WindowGroup

  Parameters:
    `window` - The Window to be removed from this WindowGroup.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.